### Method

# Gtk Widgetset_hexpand_set

#### Declaration [src]

    void
    gtk_widget_set_hexpand_set (
      GtkWidget* widget,
      gboolean set
    )

#### Description [src]

Sets whether the hexpand flag will be used.

The `GtkWidget:hexpand-set` property will be set automatically when you call `gtk_widget_set_hexpand()` to set hexpand, so the most likely reason to use this function would be to unset an explicit expand flag.

If hexpand is set, then it overrides any computed expand value based on child widgets. If hexpand is not set, then the expand value depends on whether any children of the widget would like to expand.

There are few reasons to use this function, but it’s here for completeness and consistency.

Sets property | `Gtk.Widget:hexpand-set`

#### Parameters

`set`

  Type: `gboolean`

  Value for hexpand-set property.